Package wx :: Class NumberEntryDialog

[frames | no frames]

## Type NumberEntryDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                NumberEntryDialog

A dialog with spin control, ok and cancel buttons.

Method Summary
NumberEntryDialog | ``__init__`(self, parent, message, prompt, caption, value, min, max, pos)` Constructor.
long | `GetValue(self)`

Property Summary
| `thisown`: The membership flag
| `Value`: See `GetValue`

Class Variable Summary

Instance Method Details

### __init__(self, parent, message, prompt, caption, value, min, max, pos=DefaultPosition)
(Constructor)

Constructor. Use ShowModal method to show the dialog.

  Parameters:
    `parent`
    (type=Window)

    `message`
    (type=String)

    `prompt`
    (type=String)

    `caption`
    (type=String)

    `value`
    (type=long)

    `min`
    (type=long)

    `max`
    (type=long)

    `pos`
    (type=Point)

  Returns:
    NumberEntryDialog
  Overrides:
    `wx.Dialog.__init__`

Property Details

### thisown

The membership flag

### Value

See `GetValue`

  Get Method:
    `GetValue`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:53 2007 | http://epydoc.sf.net